Package org.apache.jasper.security

## Class SecurityUtil

- java.lang.Object
- - org.apache.jasper.security.SecurityUtil

    public final class SecurityUtil
    extends Object

Util class for Security related operations.

### Constructor Summary

Constructors
`SecurityUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPackageProtectionEnabled()` Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityUtil

    public SecurityUtil()

### Method Detail

#### isPackageProtectionEnabled

    public static boolean isPackageProtectionEnabled()

Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

Returns:
  `true` if package protection is enabled